<?php

/* DCMS Special
 * Дата последнего редактирования 16.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../../sys/inc/$inc.php";
}

if (isset($_GET['id'])) {
    $id = intval($_GET['id']);
} else {
    header("Location: /index.php");
}

$set['title'] = 'Удаление &amp; ' . $_SERVER['HTTP_HOST'];

require_once H . 'sys/inc/thead.php';

aut();


if (!isset($user)) {
    echo '<div class = "errs">Доступ закрыт.</div>';
} else if ($id == 0 || $id < 0) {
    echo '<div class = "errs">Доступ закрыт.</div>';
} else if (isset($user) && $user['level'] < 4) {
    echo '<div class = "errs">Доступ закрыт.</div>';
} else {

    if ($_GET['act'] == 'dir') {

        $q = $db->query("SELECT * FROM `smiles_spis` WHERE `id_dir` = '" . $id . "'");
        while ($sm = $db->get_array($q)) {
            unlink(H . 'style/smiles/' . $sm['name'] . '.gif');
        }

        $q = $db->query("SELECT * FROM `smiles_spis` WHERE `id_dir` = '" . $id . "'");
        while ($sm = $db->get_array($q)) {
            $db->query("DELETE FROM `smiles_spis` WHERE `id_dir` = '" . $id . "'");
        }

        $db->query("DELETE FROM `smiles_dir` WHERE `id` = '" . $id . "'");
        $db->query("OPTIMIZE TABLE `smiles_spis`, `smiles_dir`");
        header("Location: index.php?");
        
        $_SESSION['message'] = lang('Дирректория успешно удалена');
    } else if ($_GET['act'] == 'smile') {
        $smile = $db->get_array($db->query("SELECT * FROM `smiles_spis` WHERE `id` = '" . $id . "'"));
        $dir = $db->get_array($db->query("SELECT * FROM `smiles_spis` WHERE `id_dir` = '" . $id . "'"));
        unlink(H . 'style/smiles/' . $smile['name'] . '.gif');
        $db->query("DELETE FROM `smiles_spis` WHERE `id` = '" . $id . "' LIMIT 1");
        $db->query("OPTIMIZE TABLE `smiles_spis`");
        header("Location: index.php?");
        $_SESSION['message'] = lang('Смайл успешно удален');
    } else {
        echo "<div class='errs'>Неверный ввод</div>";
    }
}

require_once H . 'sys/inc/tfoot.php';
